Skip to main content
Get Slo
curl --request GET \
  --url https://api.coralogix.com/mgmt/openapi/5/slo/slos/v1/{id} \
  --header 'Authorization: <api-key>'
{
  "slo": {
    "requestBasedMetricSli": {
      "goodEvents": {
        "query": "sum(rate(http_requests_total{status=\"200\"}[5m]))"
      },
      "totalEvents": {
        "query": "sum(rate(http_requests_total{status=\"200\"}[5m]))"
      }
    },
    "apmSliMetadata": {
      "latencyConfig": {
        "quantile": {
          "percentile": 0.95
        },
        "threshold": 500
      },
      "filters": [
        {
          "key": "environment",
          "value": "production",
          "values": [
            "500"
          ]
        }
      ],
      "groupingKeys": [
        "environment",
        "region"
      ],
      "services": [
        "my-service",
        "payment-service"
      ]
    },
    "createTime": "2023-11-07T05:31:56Z",
    "creator": "test@domain.com",
    "description": "A brief description of my SLO",
    "grouping": {
      "labels": [
        "<string>"
      ]
    },
    "id": "b11919d5-ef85-4bb1-8655-02640dbe94d9",
    "labels": {},
    "name": "Example Slo Name",
    "ownershipTags": {
      "environment": {
        "labelKeys": [
          "deployment_environment",
          "k8s_namespace"
        ],
        "staticValues": [
          "checkout-api"
        ]
      },
      "service": {
        "labelKeys": [
          "deployment_environment",
          "k8s_namespace"
        ],
        "staticValues": [
          "checkout-api"
        ]
      },
      "team": {
        "labelKeys": [
          "deployment_environment",
          "k8s_namespace"
        ],
        "staticValues": [
          "checkout-api"
        ]
      }
    },
    "revision": {
      "revision": 1,
      "updateTime": "2023-11-07T05:31:56Z"
    },
    "targetThresholdPercentage": 99.999,
    "type": "request",
    "updateTime": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.coralogix.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

id
string
required

Response

Response containing the details of a specific SLO.

slo
Slo · object
required

Definition of an SLO